package com.jdcloud.market.sdk.core.vo;

import java.io.Serializable;

/**
 * 云市场主动通知接口 返回AppInfo
 */
public class AppInfo implements Serializable {
    /**
     * 前台地址：客户购买商品后，可以访问的网站地址
     */
    private String frontEndUrl;

    /**
     * 管理地址：客户购买商品后，可以访问的管理后台地址
     */
    private String adminUrl;

    /**
     * 管理员帐号：客户购买商品后，访问服务商管理后台的账号：一般为邮箱和手机号
     */
    private String username;

    /**
     * 管理员密码：客户购买商品后，访问服务商管理后台的密码：一般为服务商生成。
     */
    private String password;

    /**
     * 免登地址：服务商提供给客户的免登陆地址。
     */
    private String authUrl;

    /**
     * 软件序列号（license）：客户购买商品后，可用于注册使用的授权码
     */
    private String authCode;

    public String getFrontEndUrl() {
        return frontEndUrl;
    }

    public void setFrontEndUrl(String frontEndUrl) {
        this.frontEndUrl = frontEndUrl;
    }

    public String getAdminUrl() {
        return adminUrl;
    }

    public void setAdminUrl(String adminUrl) {
        this.adminUrl = adminUrl;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public String getAuthUrl() {
        return authUrl;
    }

    public void setAuthUrl(String authUrl) {
        this.authUrl = authUrl;
    }

    public String getAuthCode() {
        return authCode;
    }

    public void setAuthCode(String authCode) {
        this.authCode = authCode;
    }

    @Override
    public String toString() {
        return "AppInfo{" +
                "frontEndUrl='" + frontEndUrl + '\'' +
                ", adminUrl='" + adminUrl + '\'' +
                ", username='" + username + '\'' +
                ", password='" + password + '\'' +
                ", authUrl='" + authUrl + '\'' +
                ", authCode='" + authCode + '\'' +
                '}';
    }
}
