package com.jdcloud.market.sdk.core.vo;

import java.util.Date;

/**
 * CreateInstanceReq请求vo
 */
public class CreateInstanceReq extends SaasBaseReq {

    /**
     * 用户在京东云的账号标识，具有唯一性
     */
    private String jdPin;

    /**
     * 云市场业务 ID，订购关系ID
     */
    private String orderBizId;

    /**
     * 对应订单的ID
     */
    private String orderId;

    /**
     * 服务对应的编码，可在服务商后台的服务列表中查看到
     */
    private String serviceCode;

    /**
     * 服务的收费项目ID
     */
    private String skuId;

    /**
     * 用户的手机号
     */
    private String mobile;

    /**
     * 用户的邮箱
     */
    private String email;

    /**
     * 模板ID，适用于模板类建站商品
     */
    private String template;

    /**
     * 对应订单的到期时间，格式：yyyy-MM-dd HH:mm:ss
     */
//    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date expiredOn;

    /**
     * 账户数量
     */
    private Integer accountNum;

    /**
     * 扩展字段
     */
    private String extraInfo;

    /**
     * 额外计费项字段
     */
    private String additions;

    public String getJdPin() {
        return jdPin;
    }

    public void setJdPin(String jdPin) {
        this.jdPin = jdPin;
    }

    public String getOrderBizId() {
        return orderBizId;
    }

    public void setOrderBizId(String orderBizId) {
        this.orderBizId = orderBizId;
    }

    public String getOrderId() {
        return orderId;
    }

    public void setOrderId(String orderId) {
        this.orderId = orderId;
    }

    public String getServiceCode() {
        return serviceCode;
    }

    public void setServiceCode(String serviceCode) {
        this.serviceCode = serviceCode;
    }

    public String getSkuId() {
        return skuId;
    }

    public void setSkuId(String skuId) {
        this.skuId = skuId;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public String getTemplate() {
        return template;
    }

    public void setTemplate(String template) {
        this.template = template;
    }

    public Date getExpiredOn() {
        return expiredOn;
    }

    public void setExpiredOn(Date expiredOn) {
        this.expiredOn = expiredOn;
    }

    public Integer getAccountNum() {
        return accountNum;
    }

    public void setAccountNum(Integer accountNum) {
        this.accountNum = accountNum;
    }

    public String getExtraInfo() {
        return extraInfo;
    }

    public void setExtraInfo(String extraInfo) {
        this.extraInfo = extraInfo;
    }

    public String getAdditions() {
        return additions;
    }

    public void setAdditions(String additions) {
        this.additions = additions;
    }
}
