package com.jdcloud.market.sdk.core.vo;


import java.io.Serializable;

/**
 * 云市场主动通知接口 返回错误信息
 */
public class UnifiedResp implements Serializable {
    /**
     * true或false
     */
    private Boolean success = false;

    /**
     * 实例ID
     */
    private String instanceId = "0";

    /**
     * 服务商接口返回的说明信息
     */
    private String message;

    private String authCode;

    public static UnifiedResp fail(String message) {
        return fail(message, "0");
    }

    public static UnifiedResp fail(String message, String instanceId) {
        UnifiedResp unifiedResp = new UnifiedResp();
        unifiedResp.setInstanceId(instanceId);
        unifiedResp.setMessage(message);
        unifiedResp.setSuccess(false);
        return unifiedResp;
    }

    public Boolean getSuccess() {
        return success;
    }

    public void setSuccess(Boolean success) {
        this.success = success;
    }

    public String getInstanceId() {
        return instanceId;
    }

    public void setInstanceId(String instanceId) {
        this.instanceId = instanceId;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public String getAuthCode() {
        return authCode;
    }

    public void setAuthCode(String authCode) {
        this.authCode = authCode;
    }

    @Override
    public String toString() {
        return "UnifiedResp{" +
                "success=" + success +
                ", instanceId='" + instanceId + '\'' +
                ", message='" + message + '\'' +
                ", authCode='" + authCode + '\'' +
                '}';
    }
}
